import { ModuleBase } from './module-base.interface';
export interface ContentWebsiteShareSocialNetworks {
    identifier: string;
    class: string;
    icon: string;
    nofollow: boolean;
    name: string;
    title: string;
}
export interface SocialNetworkTooltip {
    identifier: string;
    class: any;
    icon: string;
    color: {
        color: string;
        opacity: string;
    };
}
export interface ModuleShareSocialNetworks<CONTENT, SOCIAL_NETWORK> extends ModuleBase {
    class?: any;
    event?: any;
    group_type?: any;
    navigation?: any;
    secure_zone?: any;
    content: CONTENT;
    text_link?: any;
    quantity_content?: any;
    visible?: boolean;
    safe_zone?: boolean;
    show_h1?: boolean;
    show_image?: boolean;
    put_filter?: boolean;
    put_order?: boolean;
    put_view?: boolean;
    as_h1?: boolean;
    paginator_type?: any;
    location_paginator?: any;
    autoplay?: boolean;
    scroll_horizontal?: boolean;
    fixed_module?: boolean;
    vertical_view?: boolean;
    interval: string;
    loop?: boolean;
    trending_content?: any;
    visualization_tag_related?: any;
    maps_latitude?: any;
    maps_longitude?: any;
    maps_zoom?: any;
    maps_campus_filter?: boolean;
    previous?: any;
    next?: any;
    previous_class?: any;
    next_class?: any;
    prev_next_title_class?: any;
    prev_next_date_class?: any;
    social_network_tooltip: SOCIAL_NETWORK;
}
