import { PlatformLocation } from '@angular/common';
import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
export declare class ContentSearchComponent implements OnInit, OnChanges {
    private formBuilder;
    private router;
    private location;
    private activatedRoute;
    module: any;
    result: any;
    identifier: string;
    inSlide: boolean;
    searchName: string;
    clearResult: EventEmitter<any>;
    close: EventEmitter<any>;
    search: EventEmitter<any>;
    schema: EventEmitter<any>;
    page: EventEmitter<any>;
    paginationState: any;
    linkResultSearch: string;
    currentFilters: any;
    contentResult: any;
    loaderState: boolean;
    currentSearchUpdate: any;
    relateUrl: string;
    isSearching: boolean;
    searchGroup: FormGroup;
    searchTitle: string;
    resultEntriesLabel: string;
    constructor(formBuilder: FormBuilder, router: Router, location: PlatformLocation, activatedRoute: ActivatedRoute);
    ngOnChanges(simpleChange: SimpleChanges): void;
    ngOnInit(): void;
    onSubmit(): void;
    makeQueryString(): void;
    reactiveInput(): void;
    redirectToPage(): void;
    closeSearch(): void;
    resetSearch(): void;
}
