import { EventEmitter, OnInit } from '@angular/core';
import { DateFormatService, RichsnipetService } from 'dmmp-services';
import { RemoveHtmlPipe } from '../../pipes/removeHtml.pipe';
import { MediaInterface } from '../../interfaces';
export declare class WebsiteBoxFloatProgramV2Component implements OnInit {
    private dateService;
    private richsnipetService;
    private removeHtmlPipe;
    identifier: any;
    detailLayout: any;
    module: any;
    university: any;
    duration: string;
    title: string;
    titleComplementary: string;
    doubleDegree: string;
    titleIntermediate: string;
    modalityText: string;
    campusText: string;
    resolutionText: string;
    page: EventEmitter<any>;
    anchorCustom: EventEmitter<any>;
    classScroll: boolean;
    classScrollMobile: boolean;
    openModal: boolean;
    schemaItemVideo: any[];
    schemaItem: any[];
    description: any;
    medias: MediaInterface[];
    constructor(dateService: DateFormatService, richsnipetService: RichsnipetService, removeHtmlPipe: RemoveHtmlPipe);
    ngOnInit(): void;
    createRichSnipet(duration?: string): void;
    onScrollEvent(): void;
}
