import { OnInit, EventEmitter } from '@angular/core';
import { LocalDeviceDetectorService, RichsnipetService } from 'dmmp-services';
import { MultilevelMenuComponent } from '../multilevel-menu/multilevel-menu.component';
export declare class WebsiteHeaderV2Component implements OnInit {
    localDeviceDetector: LocalDeviceDetectorService;
    richsnipetService: RichsnipetService;
    anchorCustom: EventEmitter<any>;
    page: EventEmitter<any>;
    notSupportedEmitter: EventEmitter<any>;
    clearResult: EventEmitter<any>;
    search: EventEmitter<any>;
    identifier: any;
    result: any;
    module: any;
    principalMenu: any;
    multilevelMenu: any;
    universityInfo: any;
    currentRelatedContent: any;
    menuIsOpened: boolean;
    searchIsOpened: boolean;
    schema: object;
    menuItemColumn: any;
    buttonsHeader: any[];
    multilevelMenuC: MultilevelMenuComponent;
    constructor(localDeviceDetector: LocalDeviceDetectorService, richsnipetService: RichsnipetService);
    ngOnInit(): void;
    closeAndOpenMenu(): void;
    closeAll(): void;
    relatedContentUpdate(relatedContent: any): void;
    changeSecondLevel(event: any): void;
    notSupportedEvent(notSupportedModule: any): void;
    closeSearch(): void;
    closeRelatedContentButtons(): void;
    closeMultilevelMenu(): void;
    pageEmitter(event: any): void;
    anchorEmitter(event: any): void;
    externalLinkEmitter(): void;
}
