export interface ModuleConfig {
    id: string;
    title: string;
    name?: any;
    id_element: string;
    class?: any;
    background_color: ModuleBackgroundColor;
    background_second_color?: (any)[] | any;
    background_image?: (any)[] | any;
    vocabulary?: (any)[] | any;
    vocabularies?: (any)[] | any;
    texts?: (any)[] | any;
    figures?: (any)[] | any;
    text_link?: any;
    search?: (any)[] | any;
    tabs?: (any)[] | any;
    number_columns: string;
    order?: any;
    quantity_content?: any;
    person_type: string;
    order_type?: any;
    benefits_figures?: (any)[] | any;
    components: string;
    search_type?: any;
    search_content_index?: (any)[] | any;
    search_order?: (any)[] | any;
    title_class: string;
    see_more?: (any)[] | any;
    filter_program_button?: (any)[] | any;
    visible: boolean;
    show_h1: boolean;
    show_image: boolean;
    put_filter: boolean;
    put_order: boolean;
    put_view: boolean;
    universities?: (any)[] | any;
    categories?: (any)[] | any;
    as_h1: boolean;
    number_rows: string;
    scenes_per_row?: any;
    paginator_type?: any;
    location_paginator?: any;
    autoplay: boolean;
    links_box?: (any)[] | any;
    scroll_horizontal: boolean;
    fixed_module: boolean;
    vertical_view: boolean;
    social_network_quantity?: any;
    interval: string;
    loop: boolean;
    trending_content?: any;
    visualization_tag_related?: any;
    previous: string;
    next: string;
    previous_class: string;
    next_class: string;
    prev_next_title_class: string;
    prev_next_date_class: string;
    content?: (any)[] | any;
}
export interface ModuleBackgroundColor {
    color: string;
    opacity?: any;
}
