import { ModuleBase } from './module-base.interface';
export interface ArticlesPreviousOrNext {
    previous: PreviousOrNext;
    next: PreviousOrNext;
}
export interface PreviousOrNext {
    id: string;
    title: string;
    created_at: number;
    updated_at: number;
    path: string;
}
export interface ModuleWebSitePreviousOrNextContent extends ModuleBase {
    id: string;
    title: string;
    name?: any;
    id_element: string;
    class: string;
    background_second_color?: (any)[] | any;
    background_image?: (any)[] | any;
    vocabulary?: (any)[] | any;
    vocabularies?: (any)[] | any;
    texts?: (any)[] | any;
    figures?: (any)[] | any;
    text_link?: any;
    search?: (any)[] | any;
    tabs?: (any)[] | any;
    number_columns: string;
    order?: any;
    quantity_content?: any;
    person_type: string;
    order_type?: any;
    benefits_figures?: (any)[] | any;
    components: string;
    search_type?: any;
    search_content_index?: (any)[] | any;
    search_order?: (any)[] | any;
    title_class?: any;
    see_more?: (any)[] | any;
    filter_program_button?: (any)[] | any;
    visible: boolean;
    safe_zone: boolean;
    show_h1: boolean;
    show_image: boolean;
    put_filter: boolean;
    put_order: boolean;
    put_view: boolean;
    universities?: (any)[] | any;
    categories?: (any)[] | any;
    as_h1: boolean;
    number_rows: string;
    scenes_per_row?: any;
    paginator_type?: any;
    location_paginator?: any;
    autoplay: boolean;
    links_box?: (any)[] | any;
    featured_link?: (any)[] | any;
    trending_configuration?: (any)[] | any;
    scroll_horizontal: boolean;
    fixed_module: boolean;
    vertical_view: boolean;
    social_network_quantity?: any;
    interval: string;
    loop: boolean;
    trending_content?: any;
    visualization_tag_related?: any;
    maps_latitude?: any;
    maps_longitude?: any;
    maps_zoom?: any;
    maps_campus_filter: boolean;
    maps_campus_type_values: string;
    maps_search_filter: boolean;
    search_error_image?: (any)[] | any;
    vocabulary_logo?: (any)[] | any;
    search_background: string;
    search_tips?: any;
    search_label_not_found?: any;
    search_image_icon?: (any)[] | any;
    vocabulary_background: string;
    previous: string;
    next: string;
    previous_class: string;
    next_class: string;
    prev_next_title_class: string;
    prev_next_date_class: string;
    content?: (any)[] | any;
}
