import { ModuleBase } from './module-base.interface';
export interface ModuleWebsiteDescriptiveTable extends ModuleBase {
    events_items: (EventsEntity)[] | [];
}
export interface EventsEntity {
    identifier: string;
    events_item?: (EventsItemEntity | null)[] | null;
    item_class: string;
    field_text: string;
    title: string;
    title_class: string;
    is_topic: boolean;
    is_contact: boolean;
}
export interface EventsItemEntity {
    identifier: string;
    items_links?: (ItemsLinksEntity)[] | null;
}
export interface ItemsLinksEntity {
    identifier: string;
    items_icon?: null;
    link?: (LinkEntity)[] | null;
    items_target: string;
}
export interface LinkEntity {
    link: string;
    name: string;
}
