import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
export declare class CampusLocationFilterComponent implements OnInit, OnChanges {
    private formBuilder;
    module: any;
    identifier: String;
    defaultClass: String;
    branches: Array<any>;
    redirectPage: EventEmitter<any>;
    mapsConfig: any;
    marks: Array<any>;
    filterButtons: Array<any>;
    filterButtonsMarks: Array<any>;
    searchFilterResult: Array<any>;
    addressTitle: String;
    contactTitle: String;
    scheduleTitle: String;
    placeholderInput: String;
    selectedResult: any;
    searchGroup: FormGroup;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    ngOnChanges(): void;
    configMap(latitude: any, longitude: any): void;
    showAllMarks(): void;
    onSubmit(): void;
    filter(filterType: any): void;
    buildMarkItem(branchObject: any): {
        id: any;
        type: any;
        lat: number;
        lng: number;
        title: any;
        link: any;
        target: any;
        pinUrl: string;
    };
    selectBranchOrCampus(itemSelected: any): void;
    selectMarkColor(mark: any, lightMode: any): "./assets/images/house-pin.png" | "./assets/images/21-pin.png" | "./assets/images/21-pin-light.png" | "./assets/images/house-pin-light.png";
    goBack(): void;
    formReset(): void;
    campusChange(selectedCampus: any): void;
}
