import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
export declare class SearchHeadComponent implements OnChanges {
    private activatedRoute;
    module: any;
    identifier: string;
    resultTotal: number;
    optionsFilterBy: any;
    optionsOrderBy: any;
    currentCheckboxFilters: any;
    checkboxFiltersAction: EventEmitter<any>;
    selectedFilter: EventEmitter<any>;
    selectedOrder: EventEmitter<any>;
    isSearching: boolean;
    titleSearchHead: string;
    labelSearch: {
        found: string;
        notFound: string;
        filter: string;
        tryOtherFound: string;
        filterBy: string;
        orderBy: string;
        filterByAll: string;
        orderByNoOne: string;
    };
    constructor(activatedRoute: ActivatedRoute);
    ngOnChanges(changes: SimpleChanges): void;
    selectedTitle(): void;
}
