import { EventEmitter, OnInit } from '@angular/core';
import { CryptoInterface } from '../../../interfaces/crypto.interface';
import { CryptoService } from 'dmmp-services';
import * as moment_ from 'moment';
export declare class ButtonComponent implements OnInit {
    private cryptoService;
    data: any;
    identifier: string;
    urlPayment: string;
    privateKey: string;
    programId: string;
    programPrice: string;
    programExpiration: string;
    anchorCustom: EventEmitter<any>;
    page: EventEmitter<any>;
    close: EventEmitter<any>;
    medias: {
        style: string;
        media: string;
    }[];
    cryptoJson: CryptoInterface;
    moment: typeof moment_;
    idCryptoElement: string;
    constructor(cryptoService: CryptoService);
    ngOnInit(): void;
    anchor(event: any, data: any): void;
    cryptoPayment(): void;
}
