import { OnInit } from '@angular/core';
import { SocialNetworksService } from 'dmmp-services';
import { ContentWebsiteShareSocialNetworks, ModuleShareSocialNetworks, SocialNetworkTooltip } from '../../interfaces';
import { PlatformLocation } from '@angular/common';
export declare class WebsiteShareSocialNetworksComponent implements OnInit {
    private socialNetworksService;
    private platformLocation;
    module: ModuleShareSocialNetworks<ContentWebsiteShareSocialNetworks[], SocialNetworkTooltip[]>;
    identifier: string;
    tooltipOpened: boolean;
    currentUrl: string;
    socialNetworkQuantity: number;
    constructor(socialNetworksService: SocialNetworksService, platformLocation: PlatformLocation);
    ngOnInit(): void;
    openSocialNetwork(social: ContentWebsiteShareSocialNetworks): void;
    toggleTooltip(): void;
}
